%define name beagle
%define version 0.3.9
%define subrel 23
%define release %mkrel 40
%define build_epiphany 0
%define build_evolution 1
%define build_qt 1
%{?_with_epiphany: %{expand: %%global build_epiphany 1}}
%{?_without_epiphany: %{expand: %%global build_epiphany 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}
%{?_without_evolution: %{expand: %%global build_evolution 0}}
%{?_with_qt: %{expand: %%global build_qt 1}}
%{?_without_qt: %{expand: %%global build_qt 0}}
%define epiver 2.27
%define major 0
%define __find_requires %_builddir/%buildsubdir/find-requires
%define __find_provides %_builddir/%buildsubdir/find-provides

%define ff_ver %(rpm -q firefox --queryformat %{VERSION})
#gw TODO, unversioned firefox dir
%define _firefoxpath %{_libdir}/firefox-%{ff_ver}
%define _firefoxextpath %{_firefoxpath}/extensions

%define tb_ver %(rpm -q mozilla-thunderbird --queryformat %{VERSION})
%define _thunderbirdpath %{_libdir}/thunderbird-%{tb_ver}
%define _thunderbirdextpath %{_thunderbirdpath}/extensions


Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
Source1: pl-PL.tar.gz
Patch:  beagle-0.3.9-epi2.27.patch
Patch1: beagle-0.3.7-crawl-config.patch
Patch2: http://primates.ximian.com/~joe/beagle-log-level-warn.patch
# gw: https://qa.mandriva.com/show_bug.cgi?id=42060
Patch3: beagle-0.3.8-dont-autostart-search-in-kde.patch
#gw: from Fedora but modified to patch configure.in instead of configure
#make it work with gmime 2.4
Patch4: beagle-0.3.9-gmime24.patch
#gw from Fedora: fix for Firefox 3.6
Patch5: beagle-0.3.8-fx36.patch
#gw: build with new Mono.Data.Sqlite API
Patch6: beagle-0.3.9-mono2.6.patch
#gw from Fedora: fix dll map
Patch7: beagle-0.3.9-libgnome-desktop-soname.patch
#gw https://qa.mandriva.com/show_bug.cgi?id=56626
Patch8: beagle-0.3.9-add-polish-firefox-extention-translation.patch
#see COPYING for details
License: ASL 2.0 and MIT and BSD and LGPLv2+ and (AFL or LGPLv2+) and GPLv3+
Group: Graphical desktop/GNOME
Url: http://beagle-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-data-sqlite
BuildRequires: mono-devel >= 1.1.13.5
BuildRequires: gnome-sharp2-devel
BuildRequires: gmime-sharp >= 2.4.0
BuildRequires: gsf-sharp >= 0.5
BuildRequires: galago-sharp
#gw not enabled by default
#Buildrequires: avahi-sharp
BuildRequires: monodoc
BuildRequires: libchm-devel
BuildRequires: gtk+2-devel
BuildRequires: librsvg-devel
BuildRequires: wv-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libsm-devel
BuildRequires: ndesk-dbus-glib
BuildRequires: taglib-sharp
BuildRequires: pygtk2.0-devel
BuildRequires: zip
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: intltool
# gw for xdg-open
BuildRequires: xdg-utils
Requires: xdg-utils
Requires: poppler
#gw for inotify >= 0.24
Requires: kernel >= 2.6.12
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: %mklibname exif 12
Requires: %mklibname chm 0
Conflicts: beagle-crawl-system < 0.3.1-2mdv

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%package gui
Summary: Beagle search system graphical user interface
Group: Graphical desktop/GNOME
Requires: %name = %version
Obsoletes: %{name} < 0.2.15.1

%description gui
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

This is the GNOME graphical user interface of the Beagle search system.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %name in Monodoc format.

%package libs
Summary: Libraries shared by beagle components
Group: System/Libraries
Conflicts: %name < 0.3.7

%description libs
This package contains the libraries that are shared by beagle components
and other applications based on beagle.

%if %build_epiphany
%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany >= %epiver
BuildRequires: epiphany-devel
Requires: %name = %version
%define _requires_exceptions mono.Beagle.*\\|mono.Util

%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

NOTE: The Beagle Epiphany Extension Is Totally Insecure! Use it at
your own risk!
%endif

%if %build_evolution
%package evolution
Summary: Beagle indexing plugin for the Evolution Mail client
Group: Graphical desktop/GNOME
BuildRequires: evolution-sharp >= 0.9
Requires: %name = %version
%description evolution
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your Evolution Mail folders
and address book.
%endif

%if %build_qt
%package gui-qt
Summary: Beagle search engine graphical user interface based on Qt
Group: Graphical desktop/KDE
Requires: %name = %version
BuildRequires: qyoto-devel

%description gui-qt
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

This is the Qt graphical user interface of the Beagle search system.
%endif


%package crawl-system
Group: System/Servers
Summary: GNOME indexing subsystem for system files
Requires: %name = %version
Requires(pre):  rpm-helper
#gw for ionice
#Requires: schedutils

%description crawl-system
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this to automatically index your system files.

%package -n firefox-ext-beagle
Summary: Beagle extension for firefox
Group: Networking/WWW
BuildRequires: firefox
Requires: firefox = %ff_ver
Requires: %name >= %version
Obsoletes: mozilla-firefox-ext-beagle

%description -n firefox-ext-beagle
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this to automatically index the pages browsed in firefox.

%package -n mozilla-thunderbird-beagle
Summary: Beagle extension for thunderbird
Group: Networking/WWW
BuildRequires: mozilla-thunderbird
Requires: mozilla-thunderbird = %tb_ver
Requires: %name >= %version

%description -n mozilla-thunderbird-beagle
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this to automatically index your thunderbird emails.

%prep
%setup -q -a 1
mv pl-PL firefox-extension/chrome/locale/
%patch -p1 -b .epi
%patch1 -p1 -b .crawl-config
%patch2 -p1 -b .spew
%patch3 -p1
%patch4 -p1 -b .gmime24
%patch5 -p1
%patch6 -p1 -b .mono2.6
%patch7 -p1
%patch8 -p1 -b .pl-PL
autoreconf -fis

#gw hack to set MONO_PATH for mono-find-*
cat > find-requires << EOF
#!/bin/sh
MONO_PATH=%buildroot%_libdir/%name /usr/lib/rpm/mandriva/find-requires %buildroot %_target_cpu
EOF
cat > find-provides << EOF
#!/bin/sh
MONO_PATH=%buildroot%_libdir/%name /usr/lib/rpm/mandriva/find-provides %buildroot %_target_cpu
EOF
chmod +x find-requires find-provides


%build
%configure2_5x \
%if %build_epiphany
--enable-epiphany-extension --enable-epiphany-extension-install \
%endif
%if !%build_evolution
--disable-evolution-sharp \
%endif
%if %build_qt 
--enable-qt
%else
--disable-qt
%endif


#gw parallel build broken
# (tpg) use hack for parallel build
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std

rm -f %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/beagle/*a


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="System" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/beagle-search.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="DesktopSettings;GNOME;GTK;System" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/beagle-settings.desktop


#gw install the mozilla extensions
cd firefox-extension
#gw check for the right firefox extension dir
[ -d %_firefoxextpath ]
mkdir -p %{buildroot}%{_firefoxextpath}
hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_firefoxextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af chrome* install.rdf "%{buildroot}$extdir/"
cd ../thunderbird-extension
mkdir -p %{buildroot}%{_thunderbirdextpath}
hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_thunderbirdextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af chrome* defaults components install.rdf "%{buildroot}$extdir/"
cd ..

# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%find_lang %name

mkdir -p %buildroot%_var/cache/beagle/indexes

%if %mdkversion < 200900
%post gui
%update_menus
%postun gui
%clean_menus
%endif

%pre crawl-system
%_pre_useradd beagleindex %_var/cache/beagle /bin/sh

%postun crawl-system
%_postun_userdel beagleindex

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS
%dir %_sysconfdir/beagle
%dir %_sysconfdir/beagle/config-files/
%config(noreplace) %_sysconfdir/beagle/blocate.conf
%config(noreplace) %_sysconfdir/beagle/external-filters.xml.sample
%config(noreplace) %_sysconfdir/beagle/config-files/*
%config(noreplace) %_sysconfdir/beagle/query-mapping.xml
%config(noreplace) %_sysconfdir/xdg/autostart/beagled-autostart.desktop
%_bindir/beagle-config
%_bindir/beagle-doc-extractor
%_bindir/beagle-extract-content
%_bindir/beagle-index-info
%_bindir/beagle-info
%_bindir/beagle-ping
%_bindir/beagle-query
%_bindir/beagle-shutdown
%_bindir/beagle-static-query
%_bindir/beagle-status
%_bindir/beagled
%_bindir/blocate
%_sbindir/beagle-build-index
%_sbindir/beagle-dump-index
%_sbindir/beagle-manage-index
%_sbindir/beagle-master-delete-button
%_sbindir/beagle-removable-index
%dir %_libdir/%name/Backends/
%_libdir/%name/Backends/GoogleBackends*
%_libdir/%name/Backends/Thunderbird*
%_libdir/%name/BeagleDaemon*
%_libdir/%name/BuildIndex.exe*
%_libdir/%name/Config.exe*
%_libdir/%name/DocExtractor.exe*
%_libdir/%name/DumpIndex.exe*
%_libdir/%name/ExtractContent.exe*
%_libdir/%name/IndexHelper.exe*
%_libdir/%name/Info.exe*
%_libdir/%name/ManageIndex.exe*
%_libdir/%name/Query.exe*
%_libdir/%name/RemovableIndex.exe*
%_libdir/%name/Shutdown.exe*
%_libdir/%name/StaticQuery.exe*
%_libdir/%name/Filters/
%_libdir/%name/beagle*
%_libdir/%name/keygrabber.py
%_libdir/%name/libbeagleglue.so*
%_libdir/pkgconfig/beagle-0*.pc
%_libdir/pkgconfig/beagle-daemon.pc
%_mandir/man1/*
%_datadir/beagle/
%_mandir/man8/beagle-build-index.8*
%_mandir/man8/beagle-doc-extractor.8*
%_mandir/man8/beagle-dump-index.8*
%_mandir/man8/beagle-extract-content.8*
%_mandir/man8/beagle-imlogviewer.8*
%_mandir/man8/beagle-index-info.8*
%_mandir/man8/beagle-manage-index.8*

%files libs
%defattr(-,root,root)
%dir %_libdir/%name
%_libdir/%name/Beagle.dll*
%_libdir/%name/Util.dll*

%files gui
%defattr(-,root,root)
%doc README
%config(noreplace) %_sysconfdir/xdg/autostart/beagle-search-autostart.desktop
%_bindir/beagle-imlogviewer
%_bindir/beagle-search
%_bindir/beagle-settings
%_datadir/applications/beagle-search.desktop
%_datadir/applications/beagle-settings.desktop
%_libdir/%name/Beagle.Search.exe*
%_libdir/%name/ImLogViewer.exe*
%_libdir/%name/Settings.exe*
%_libdir/%name/UiUtil.dll*
%_libdir/%name/libbeagleuiglue.so*
%_libdir/pkgconfig/beagle-ui*.pc

%if %build_qt
%files gui-qt
%defattr(-,root,root)
%doc README
%_bindir/beagle-settings-qt
%_libdir/beagle/SettingsQt.exe*
%endif

%files crawl-system
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/beagle/crawl*
%config(noreplace) %_sysconfdir/cron.daily/beagle-crawl-system
%attr(755,beagleindex,root) %_var/cache/beagle

%files doc
%defattr(-,root,root)
%_prefix/lib/monodoc/sources/beagle-docs.*

%if %build_epiphany
%files epiphany
%defattr(-,root,root)
%_libdir/epiphany/%epiver/extensions/*
%endif

%if %build_evolution
%files evolution
%defattr(-,root,root)
%doc README
%_libdir/%name/Backends/EvolutionBackends.dll*
%endif

%files -n firefox-ext-beagle
%defattr(0644,root,root,0755)
%doc firefox-extension/README
%dir %_firefoxpath
%{_firefoxextpath}

%files -n mozilla-thunderbird-beagle
%defattr(0644,root,root,0755)
%dir %_thunderbirdpath
%{_thunderbirdextpath}

#  LocalWords:  Buildrequires


%changelog
* Thu Feb 02 2012 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.23mdv2010.2
- rebuilt for firefox-3.6.26 and thunderbird-3.1.18

* Wed Dec 21 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.22mdv2010.2
- rebuilt for firefox-3.6.25 and thunderbird-3.1.17

* Tue Nov 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.21mdv2010.2
- rebuilt for firefox-3.6.24 and thunderbird-3.1.16

* Wed Sep 28 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.20mdv2010.2
- rebuilt for firefox-3.6.23 and thunderbird-3.1.15

* Wed Sep 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.19mdv2010.2
- rebuilt for firefox-3.6.22 and thunderbird-3.1.14

* Fri Sep 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.18mdv2010.2
- rebuilt for firefox-3.6.21 and thunderbird-3.1.13

* Wed Aug 17 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.17mdv2010.2
- rebuilt for firefox-3.6.20 and thunderbird-3.1.12

* Tue Jun 21 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.16mdv2010.2
- rebuilt for firefox-3.6.18 and thunderbird-3.1.11

* Sun May 01 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.15mdv2010.2
- rebuilt for thunderbird-3.1.10

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.14mdv2010.2
- rebuilt for firefox-3.6.17

* Wed Apr 06 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.13mdv2010.2
- rebuilt for firefox-3.6.16

* Mon Mar 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.12mdv2010.2
- rebuilt for firefox-3.6.15 and thunderbird-3.1.9

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.11mdv2010.2
- rebuilt for firefox-3.6.14

* Wed Mar 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.10mdv2010.2
- rebuilt for firefox-3.6.14

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.9mdv2010.1
- rebuilt for firefox-3.6.13

* Mon Nov 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.8mdv2010.1
- rebuilt for firefox-3.6.12

* Sun Oct 31 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.7mdv2010.1
- rebuilt for thunderbird-3.0.10

* Fri Oct 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.6mdv2010.1
- rebuilt for firefox-3.6.11 and thunderbird-3.0.9

* Tue Sep 21 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.5mdv2010.1
- built for updates

* Sun Sep 19 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.4mdv2010.1
- rebuilt for firefox-3.6.10 and thunderbird-3.0.8

* Thu Sep 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.3mdv2010.1
- rebuilt for firefox-3.6.9

* Wed Sep 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.2mdv2010.1
- 

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-40.1mdv2010.1
- rebuilt for firefox-3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.3.9-40mdv2010.1
+ Revision: 549307
- Rebuild with latest FF / TB

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.3.9-39mdv2010.1
+ Revision: 531061
- rebuild for new ff

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 0.3.9-38mdv2010.1
+ Revision: 530220
- rebuild against new tb
- fix desktop files

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new thunderbird

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 0.3.9-36mdv2010.1
+ Revision: 526986
- rebuild for new ff

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-35mdv2010.1
+ Revision: 526156
- rebuild for new taglib-sharp

* Thu Mar 04 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-34mdv2010.1
+ Revision: 514083
- rebuild for new mozilla-thunderbird

* Fri Feb 26 2010 Funda Wang <fwang@mandriva.org> 0.3.9-33mdv2010.1
+ Revision: 511435
- rebuild for new taglib-sharp

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 0.3.9-32mdv2010.1
+ Revision: 511358
- rebuild for new tb

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-31mdv2010.1
+ Revision: 497542
- rebuild for new taglib-sharp

* Sun Jan 24 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-30mdv2010.1
+ Revision: 495388
- rebuild for lost package

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new ff

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 0.3.9-28mdv2010.1
+ Revision: 494536
- rebuild for tb 3.0.1

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-27mdv2010.1
+ Revision: 490500
- update patch 7 for new gnome-desktop

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0.3.9-26mdv2010.1
+ Revision: 488184
- fix firefox dir for firefox 3.6r c1

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-25mdv2010.1
+ Revision: 481746
- really fix firefox version check
- add polish translation for firefox extension (bug #56626)

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-24mdv2010.1
+ Revision: 481698
- install firefox extension into the right dir (hard-coded on Cooker ATM)

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-23mdv2010.1
+ Revision: 479478
- update the patch for firefox 3.6

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-22mdv2010.1
+ Revision: 479452
- patch for mono 2.6
- patch for firefox 3.5

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new ff

* Sat Dec 12 2009 Funda Wang <fwang@mandriva.org> 0.3.9-21mdv2010.1
+ Revision: 477591
- rebuild for new tb

* Tue Nov 10 2009 Funda Wang <fwang@mandriva.org> 0.3.9-20mdv2010.1
+ Revision: 463956
- rebuild

* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-19mdv2010.0
+ Revision: 457618
- rebuild for new taglib-sharp

* Tue Sep 15 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-18mdv2010.0
+ Revision: 442850
- rebuild for new firefox

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-17mdv2010.0
+ Revision: 424327
- rebuild for new thunderbird

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-16mdv2010.0
+ Revision: 417759
- rebuild for new firefox

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-15mdv2010.0
+ Revision: 409372
- rebuild for new firefox

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-14mdv2010.0
+ Revision: 399189
- rebuild for new firefox

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-13mdv2010.0
+ Revision: 388790
- disable epiphany extensions
- rebuild for new thunderbird

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 0.3.9-12mdv2010.0
+ Revision: 385770
- rebuild for new ff

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-11mdv2010.0
+ Revision: 374757
- new epiphany

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-10mdv2010.0
+ Revision: 371181
- patch for new gmime

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new ff

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.3.9-9mdv2009.1
+ Revision: 361847
- rebuild for firefox 3.0.8

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 0.3.9-8mdv2009.1
+ Revision: 357685
- rebuild for new tb

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-7mdv2009.1
+ Revision: 355506
- rebuild for new epiphany

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-6mdv2009.1
+ Revision: 354152
- rebuild for new firefox

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-5mdv2009.1
+ Revision: 346312
- bump
- update patch 0
- reenable qyoto support, it is based on qt4

* Mon Feb 09 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.9-3mdv2009.1
+ Revision: 338890
- Disable qt compilation
- Remove kde3 common depends

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 0.3.9-2mdv2009.1
+ Revision: 337279
- reconf all
- rebuild for new ff

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 334054
- new version
- update patch 3, remove merged chunk

* Sat Jan 24 2009 Götz Waschk <waschk@mandriva.org> 0.3.8-17mdv2009.1
+ Revision: 333257
- update patch for new epiphany

* Thu Jan 08 2009 Götz Waschk <waschk@mandriva.org> 0.3.8-16mdv2009.1
+ Revision: 327091
- rebuild for new thunderbird

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.3.8-15mdv2009.1
+ Revision: 318554
- rebuild for new xulrunner

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.3.8-14mdv2009.1
+ Revision: 303691
- rebuild for new FF

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-13mdv2009.1
+ Revision: 296574
- fix thunderbird dir

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-12mdv2009.0
+ Revision: 289455
- rebuild for new thunderbird

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-11mdv2009.0
+ Revision: 289305
- useless rebuild
- rebuild for new firefox

* Sat Sep 27 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-9mdv2009.0
+ Revision: 288885
- rebuild for new firefox

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-8mdv2009.0
+ Revision: 287905
- update patch 0 for new epiphany
- Rebuild with latest evolution-sharp

* Tue Sep 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.8-7mdv2009.0
+ Revision: 285188
- Rebuild with latest evolution-sharp

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-6mdv2009.0
+ Revision: 273826
- rebuild

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-5mdv2009.0
+ Revision: 258007
- update for new firefox

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-4mdv2009.0
+ Revision: 250660
- fix build with new epiphany
- rebuild

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-3mdv2009.0
+ Revision: 236367
- rebuilt for mozilla-firefox-2.0.0.16

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-2mdv2009.0
+ Revision: 236256
- don't autostart search tool in KDE (bug #42060)
- fix buildrequires
- update license

* Tue Jul 15 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 235741
- new version
- drop patch 4
- update file list
- enable qt GUI

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.3.7-4mdv2009.0
+ Revision: 231255
- Rebuild for firefox 2.0.0.15

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-3mdv2009.0
+ Revision: 228958
- drop patch 3
- patch 4: fix linking with --no-undefined
- update patch 1 to not modify the localstatedir anymore

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-2mdv2009.0
+ Revision: 201154
- rebuild for new thunderbird

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 197365
- new version
- split out libs for beagle

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 0.3.6.1-1mdv2009.0
+ Revision: 195936
- new version

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 195865
- new version
- update file list
- update buildrequires

* Sat Apr 19 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-2mdv2009.0
+ Revision: 195785
- rebuild for new firefox

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 192416
- new version
- drop external epiphany extension
- update patch 1
- drop patch 4
- update buildrequires
- update file list
- update epiphany extension

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 0.3.3-5mdv2008.1
+ Revision: 190332
- Rebuild for Firefox 2.0.0.13

  + Götz Waschk <waschk@mandriva.org>
    - fix epiphany version check

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-4mdv2008.1
+ Revision: 175911
- rebuild for new thunderbird

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-3mdv2008.1
+ Revision: 164817
- rebuild again

* Sat Feb 09 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.3-2mdv2008.1
+ Revision: 164601
- Rebuild for Firefox 2.0.0.12

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 161929
- new version
- fix build
- drop patch 8
- update patch 1 to fix bug 37296 (don't crawl the windows partion by default)

* Fri Dec 28 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138894
- new version
- drop patch 3
- rediff patch 2
- update build requirements

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-3mdv2008.1
+ Revision: 121067
- fix build with new mono and new epiphany
- package firefox and thunderbird extensions

* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 117496
- move config files to main package (bug #36086)

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog

* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 117215
- new version
- update file list

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 115339
- new version
- drop source 1
- drop python and libbeagle packages
- temporarily disable epiphany package
- add monodocs
- drop patches 0,3,5,6,7,9,10
- rediff patch 1
- update file list

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-9mdv2008.1
+ Revision: 110574
- patch 10, fix loop indexing evolution

* Wed Nov 07 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-8mdv2008.1
+ Revision: 106784
- fix command line tools (bug #35388)

* Thu Sep 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.18-7mdv2008.0
+ Revision: 93246
- Remove System category on search .desktop, Beagle should in be Tools, not SystemTools

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.18-6mdv2008.0
+ Revision: 92485
- Update patch3 for Epiphany 2.20
- Patch8 (SVN): fix crash in xdg mime cache (fd.o bug #12512)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-5mdv2008.0
+ Revision: 89010
- more bugfixes from gnome svn

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-4mdv2008.0
+ Revision: 88955
- update nl.po
- patch to disable indexing by default when on battery (bug #33654)

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.2.18-3mdv2008.0
+ Revision: 88624
- drop old menu

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-2mdv2008.0
+ Revision: 75178
- update nl translation (bug #32981)

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.18-1mdv2008.0
+ Revision: 72371
- new version
- patch to exclude ~/tmp from indexing
- fix build

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.17-2mdv2008.0
+ Revision: 38869
- rework patch 3
- rebuild for expat

* Wed May 09 2007 Götz Waschk <waschk@mandriva.org> 0.2.17-1mdv2008.0
+ Revision: 25405
- new version
- drop patches 5,6

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.3-4mdv2008.0
+ Revision: 16181
- use poppler instead of xpdf-utils


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-4mdv2007.1
+ Revision: 150103
- Patch6 (SVN): prevent infinite loop when parsing some OOo documents
- Update patch5: one wrapper was still using --debug
- Force sqlite 3 usage (better performance)

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-3mdv2007.1
+ Revision: 149267
- Patch5 (SVN): don't start mono in debug mode, use less memory

* Mon Mar 26 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.3-2mdv2007.1
+ Revision: 148773
- fix bug #29903 (missing dep on evolution-sharp

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.3-1mdv2007.1
+ Revision: 144798
- Update paths in patch1
- Patch4: disable ionice usage, since it relies on SUSE specific patch on it
- use correct README for epiphany subpackage

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - depend on xdg-utils

* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.16.2-3mdv2007.1
+ Revision: 143566
- Add versioned conflict to upgrade from 2007.0

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.2-2mdv2007.1
+ Revision: 142048
- really fix epiphany build
- build with epiphany 2.18

* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 0.2.16.2-1mdv2007.1
+ Revision: 124751
- new version
- drop patch 4
- add dep on gsf-sharp

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 0.2.16-1mdv2007.1
+ Revision: 117259
- new version
- fix build

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-3mdv2007.1
+ Revision: 116346
- reenable galago

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-2mdv2007.1
+ Revision: 115116
- rebuild for new libwv

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.2.15.1-1mdv2007.1
+ Revision: 113610
- new version
- update patch 1
- drop broken Thunderbird backend
- update file list

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.2.14-2mdv2007.1
+ Revision: 97260
- split out GNOME gui parts to a subpackage

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.2.14-1mdv2007.1
+ Revision: 97173
- new version
- use included autostart desktop entries

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.2.13-4mdv2007.1
+ Revision: 88294
- support epiphany 2.17
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.2.13-3mdv2007.1
+ Revision: 86056
- bot rebuild
- bot rebuild
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better URL

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.2.12-2mdv2007.1
+ Revision: 75121
- fix buildrequires

* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.2.12-1mdv2007.1
+ Revision: 75082
- new version

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 0.2.11-1mdv2007.1
+ Revision: 71171
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.2.10-3mdv2007.1
+ Revision: 63783
- rebuild
- unpack patches
- Import beagle

* Wed Sep 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.10-1mdv2007.0
- drop patches 4,5,6
- New version 0.2.10

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-3mdv2007.0
- cvs fixes

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 0.2.9-2mdv2007.0
- new epiphany

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.9-1mdv2007.0
- Release 0.2.9
- Remove patch 5, merged upstream

* Fri Aug 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-4mdv2007.0
- Fix group

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-3mdv2007.0
- Update patch5 with libchm soname

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.8-2mdv2007.0
- Patch5: fix imported libraries soname
- remove source1 : not longer needed, no longer ship our own dll config file

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.8-1mdv2007.0
- add thunderbird backend
- drop patches 0,3
- bump deps
- New release 0.2.8

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-5mdv2007.0
- fix build with new mono

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-4mdv2007.0
- fix subpackage deps
- don't depend  on schedutils

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-3mdv2007.0
- make crawl-system depend on schedutils for ionice
- drop patch 3

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-2mdv2007.0
- xdg menu

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.7-1mdv2007.0
- rediff patch 1
- New release 0.2.7

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-5mdv2007.0
- epiphany 2.15

* Fri May 26 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-4mdv2007.0
- replace patch2 by a better one

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-3mdk
- add thunderbird patch

* Fri May 05 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-2mdk
- build fix for x86_64

* Mon May 01 2006 Gtz Waschk <waschk@mandriva.org> 0.2.6-1mdk
- update patch 1
- New release 0.2.6

* Sun Apr 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-2mdk
- reduce debug output
- disable galago

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.2.5-1mdk
- update file list
- drop patch 0
- update patch 1
- New release 0.2.5

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-5mdk
- depend on xpdf-tools

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-4mdk
- rebuild for new epiphany

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-3mdk
- rebuild for new gmime

* Sat Apr 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-2mdk
- add GNOME autostart files

* Sun Apr 09 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- update file list
- add patch 0 to make it build
- rediff the patch
- New release 0.2.4

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-3mdk
- update patch to fix the system index dir (bug 21680)

* Sat Mar 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- fix icon in the menu (J.A. Magallon)

* Fri Mar 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- drop merged patch 0
- New release 0.2.3

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-5mdk
- fix python path on x86_64

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-4mdk
- remove nologin, else beagle-crawl-system won't start
- fix patch for beagle-crawl-system

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-3mdk
- fix crawler configuration
- more crontab fixes
- add crawl package

* Sat Mar 11 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2.1-2mdk
- move cronab to the right dir
- remove warning from beagle-crawl-system

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.2.1-1mdk
- New release 0.2.2.1

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- update file list
- New release 0.2.2

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- update file list
- New release 0.2.1

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-5mdk
- fix buildrequires

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-3mdk
- rebuild for new dbus-sharp

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- really fix menu entry

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- split out evolution backend
- drop firefox deps
- bump deps
- New release 0.2.0

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-3mdk
- reenable epiphany

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.4-2mdk
- disable epiphany
- rebuild for new mozilla-firefox

* Wed Dec 21 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- patch for new mono
- New release 0.1.4

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-3mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdk
- rebuild for new mono
- use mkrel

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- add python module
- update buildrequires
- update the patch
- New release 0.1.3

* Fri Nov 11 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- enable gtk-doc
- build with new wv
- New release 0.1.2

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- rebuild for new mono

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- rebuild for new firefox

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- New release 0.1.1
- update file list
- bump deps
- drop patches 4,5,6

* Sun Aug 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-5mdk 
- Patch6 (CVS): fix GAIM log indexing
- Disable all references to mdnsresponder, it is no longer used
  by beagle

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-4mdk 
- Patch5 (CVS): support for inotify 0.24

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-3mdk
- rebuild for new firefox

* Fri Jul 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-2mdk
- enable web services
- fix deps

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 0.0.12-1mdk
- add libbeagle package
- enable galago
- bump deps
- New release 0.0.12

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-2mdk
- add dep on libchm
- update dll config

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11.1-1mdk
- drop patch 0
- New release 0.0.11.1

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.11-1mdk
- update buildrequires
- patch to add missing source file
- drop patch 5
- New release 0.0.11

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-2mdk
- rebuild for new wv

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.0.10-1mdk
- reenable epiphany extension
- drop patches 2,3
- drop dbus dep
- New release 0.0.10

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-7mdk
- rebuild for new firefox

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-6mdk
- disable web service

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-5mdk
- disable broken aot
- fix buildrequires

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-4mdk
- enable web service

* Sun May 01 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-3mdk
- fix beagled script

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-2mdk
- fix buildrequires

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- add locale files
- aot compile the executables
- requires new kernel, but you really need kernel-multimedia!
- drop patch 0
- New release 0.0.9

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-8mdk
- rebuild for new dbus-sharp

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.0.8.1-7mdk
- disable the epiphany support

* Fri Apr 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-6mdk
- enable the mdnsresponder support

* Sat Apr 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-5mdk
- fix application init
- reenable epiphany plugin

* Fri Apr 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-4mdk
- fix buildrequires

* Fri Apr 01 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-3mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-2mdk
- enable network
- requires dbus-x11 (fixes bug #14997)
- fix buildrequires

* Mon Mar 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-1mdk
- update file list
- New release 0.0.8.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.7-2mdk
- I don't like bad program with requires specific FF version... (fix upgrade from MDK 10.1)

* Thu Mar 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- update firefox dependancy
- update file list
- new version

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.6.1-3mdk
- rebuild for new dbus-sharp

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-2mdk
- build with firefox

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-1mdk
- disable gst-sharp
- requires new dbus-sharp and gmime-sharp
- New release 0.0.6.1

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- fix buildrequires

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update the dll configuration
- New release 0.0.5

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-5mdk
- fix a debug message
- fix the menu entry
- fix some DllImports

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-4mdk
- add the mozilla extension
- fix buildrequires

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-3mdk
- fix buildrequires

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- fix buildrequires

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- disable epiphany extension
- add the new deps
- New release 0.0.4

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package

